unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, kMLang;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Label2: TLabel;
    ComboBox1: TComboBox;
    Label1: TLabel;
    kMLang1: TkMLang;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.FormCreate(Sender: TObject);
begin
 GetLangList(ComboBox1.Items);
 ComboBox1.ItemIndex := ComboBox1.Items.IndexOf(KMLang1.LangFileName);
end;

procedure TAboutBox.ComboBox1Change(Sender: TObject);
begin
 KMlang1.LangFileName := ComboBox1.Items[ComboBox1.ItemIndex];
end;

end.
 
